var screen_payment_systems_position, screen_support_position, footer_position;
var clientHeight;

var call_modal_opened=call_modal_force_opened=0;
function callModal(selector,close){
    if(call_modal_opened<0)call_modal_opened=0;
    if(call_modal_force_opened<0)call_modal_force_opened=0;

    if(close===true){
        $(selector).fadeOut();
        call_modal_opened--;
        call_modal_force_opened--;
        if(call_modal_opened==0){
            $("#popup-mask").fadeOut();
        }
        return false;
    }

    var clientHeight = $(window).height();
    var clientWidth = $(window).width();
    var documentHeight = $(document).height();
    var registration_width = $(selector).outerWidth();
    var registration_height = $(selector).outerHeight();

    if(typeof close!='boolean') {

        $("#popup-mask").unbind().click(function () {
            call_modal_opened--;
            if (call_modal_opened == 0 && call_modal_force_opened == 0) {
                $("#popup-mask," + selector).fadeOut();
            }
        });

    }else call_modal_force_opened++;

    if(call_modal_opened==0) {
        $('#popup-mask').fadeIn();
    }
    $(selector).css({"left":clientWidth/2-registration_width/2,"top":clientHeight/2-registration_height/2}).fadeIn();
    call_modal_opened++;

    return false;
}

$(document).ready(function ()
{

    setInterval(function(){
        var time=new Date();
        var delem=" ";
        time.setTime(time.getTime()+(time.getTimezoneOffset()));
        if(time.getSeconds()%2==0) delem=":";
        var min=time.getMinutes();
        if(min<10) min="0"+min;

        var hour=time.getHours();
        if(hour<10) hour="0"+hour;

        $("#navbar_clock").html(hour+delem+min);
    },1000);
	/* Показ формы */
	$('#header-profile-register').click(function ()
	{
        if($(this).find("a:first").is("[data-link]")){
            return true;
        }
        return callModal('#registration-form');
	});
	$('#header-profile-login').click(function ()
	{
        if($(this).find("a:first").is("[data-link]")){
            return true;
        }
        return callModal('#login-form');
	});
    $("img.captcha").click(function(){
        var src=$(this).attr("src");
        $(this).attr("src",src+(src.indexOf("?")==-1?"?":"&")+Math.floor(Math.random()*100));
    });
	/* Позиция экранов */
	clientHeight = $(window).height();
	if ($('html').find('#screen-payment-systems').length)
	{
		screen_payment_systems_position = $('#screen-payment-systems').offset().top;
	}
	screen_support_position = $('#screen-support').offset().top;
	footer_position = $('footer').offset().top;
	/* Показ faq */
	$('.presentation-faq-title, .presentation-faq-text').click(function()
	{
		$(this).parents('.presentation-faq').find('.presentation-faq-text').slideToggle();
	});
	/* Анимированные поля ввода */
    setTimeout(function () {
        $('.animated-input').each(function () {

            if ($(this).find('input[type=text]').val()) {
                $(this).find('label').css({'transform': 'translate3d(0px,-22px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
            }
            else {
                $(this).find('label').css({'transform': 'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
            }


        });

        $('.animated-textarea').each(function ()
        {
            if ($(this).find('textarea').val())
            {
                $(this).find('label').css({'transform':'translate3d(0px,-16px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
            }
            else
            {
                $(this).find('label').css({'transform':'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
            }
        });
    }, 200);

	$('.animated-input input[type=text],.animated-input input[type=password]').focusin(function ()
	{
		$(this).parents('.animated-input').find('label').css({'transform':'translate3d(0px,-22px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
	});

	$('.animated-input input[type=text], .animated-input input[type=password]').focusout(function ()
	{
        var obj=this;
        setTimeout(function(){
            if (!($(obj).val()))
            {
                $(obj).parents('.animated-input').find('label').css({'transform':'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
            }
        },200);

	});

	$('.animated-textarea textarea').focusin(function ()
	{
		$(this).parents('.animated-textarea').find('label').css({'transform':'translate3d(0px,-16px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
	});
	$('.animated-textarea textarea').focusout(function ()
	{
		if (!($(this).val()))
		{
			$(this).parents('.animated-textarea').find('label').css({'transform':'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
		}
	});
    $('.animated-select').each(function ()
    {
        if ($(this).find('select').val())
        {
            $(this).find('label').css({'transform':'translate3d(0px,-26px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
        }
        else
        {
            $(this).find('label').css({'transform':'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
        }
    });
    $('.animated-select select').focusin(function ()
    {
        $(this).parents('.animated-select').find('label').css({'transform':'translate3d(0px,-26px,0px)'}).addClass("animated-small-font").removeClass("animated-large-font");
    });
    $('.animated-select select').focusout(function ()
    {
        if (!($(this).val()))
        {
            $(this).parents('.animated-select').find('label').css({'transform':'translate3d(0px, 0px,0px)'}).addClass("animated-large-font").removeClass("animated-small-font");
        }
    });
	/* Показ меню */
	$('.show-menu').click(function ()
	{
		if ($(this).hasClass('active-show-menu') == true)
		{
			$(this).removeClass('active-show-menu');
			$(this).next('ul').fadeOut();
		}
		else
		{
			$(this).addClass('active-show-menu');
			$(this).next('ul').fadeIn();
		}
	});


    $(".news-block").click(function () {
        window.location.href = $(this).find(".news-more-arrow").parent().attr("href");
    });

});